$regfile = "attiny13.dat"                                   'inicjacia uC
$crystal = 1000000                                          'czestotliwo taktowania

Config Pinb.0 = Output                                      'PB0 jako wyjcie
Config Pinb.2 = Output                                      'PB2 jako wyjcie
Config Pinb.4 = Output                                      'PB4 jako wyjcie
Config Pinb.1 = Input                                       'PB1 jako wejscie
'Wszystkie wyjcia stan 0 za wejcie stan 1
Pinb.0 = 0
Pinb.2 = 0
Pinb.4 = 0
Pinb.1 = 1
'Przypisujemy aby uatfi prac poszczegulnym portom kolory zawiecane z diody led
R Alias Pinb.2
G Alias Pinb.4
B Alias Pinb.0
'Uaktywniamy globalny system przerwa oraz przerwanie zewntrzne INT0 wywoywane poziomem niskim, to pozwoli wybudzi uC z Powerdown
Enable Interrupts
Enable Int0
On Int0 Przer
Config Int0 = Low Level

Do                                                          'poczatek ptla gwnej

Enable Interrupts                                           'Uaktywnienie przerwa oraz wczenie przerwania INT0
Enable Int0

Powerdown                                                   'Przejscie procesora w tryb Powerdown

Loop                                                        'Koniec petli gwnej

'Przerwanie INT0

Przer:


Do                                                          'pocztek ptli z warunkiem
Disable Interrupts                                          'Wyczenie wszystkich przerwa
B = 1                                                       'Podanie na kocwk odpowiadajca oznaczenu B stanu wysokiego
Waitms 500                                                  'uC czeka p sekundy
B = 0                                                       'Podanie na kocwk odpowiadajca oznaczenu B stanu niskiego
Loop Until Pinb.1 = 0                                       'Koniec petli z warunkiem


Do                                                          'pocztek ptli z warunkiem
R = 1                                                       'Podanie na kocwk odpowiadajca oznaczenu R stanu wysokiego
Waitms 500                                                  'uC czeka p sekundy
R = 0                                                       'Podanie na kocwk odpowiadajca oznaczenu R stanu niskiego
Loop Until Pinb.1 = 0                                       'Koniec petli z warunkiem


Do                                                          'pocztek ptli z warunkiem
G = 1                                                       'Podanie na kocwk odpowiadajca oznaczenu G stanu wysokiego
Waitms 500                                                  'uC czeka p sekundy
G = 0                                                       'Podanie na kocwk odpowiadajca oznaczenu G stanu niskiego
Loop Until Pinb.1 = 0                                       'Koniec petli z warunkiem

Wait 1.5                                                    'Procesor czeka 1.5

Return                                                      'Powrt do ptli gwnej


End                                                         'Koniec programu